#ifndef __CJAMCOLOUR_H__
#define __CJAMCOLOUR_H__


class CJamColour
{
public:
	virtual void GetARGB(float& fA, float& fR, float& fG, float& fB) const = 0;
};


class CJamColourARGB : public CJamColour
{
public:
	CJamColourARGB();
	CJamColourARGB(const float fA, const float fR, const float fG, const float fB);
	CJamColourARGB(const CJamColour& cSource);
	CJamColourARGB(const CJamColourARGB& cSource);
	virtual void GetARGB(float& fA, float& fR, float& fG, float& fB) const;

	float mfA;
	float mfR;
	float mfG;
	float mfB;

	static CJamColourARGB Black;
	static CJamColourARGB White;
	static CJamColourARGB Red;
	static CJamColourARGB Green;
	static CJamColourARGB Blue;
	static CJamColourARGB Cyan;
	static CJamColourARGB Magenta;
	static CJamColourARGB Yellow;
};


class CJamColourAHSL : public CJamColour
{
public:
	CJamColourAHSL();
	CJamColourAHSL(const float fA, const float fH, const float fS, const float fL);
	CJamColourAHSL(const CJamColour& cSource);
	CJamColourAHSL(const CJamColourAHSL& cSource);
	virtual void GetARGB(float& fA, float& fR, float& fG, float& fB) const;

	float mfA;
	float mfH;
	float mfS;
	float mfL;
};


#endif // __CJAMCOLOUR_H__
