#ifndef __CJAMVECTOR2_H__
#define __CJAMVECTOR2_H__


class CJamVector2
{
public:
	CJamVector2();
	CJamVector2(const float fX, const float fY);

	CJamVector2& operator = (const CJamVector2& rhs);

	CJamVector2 operator + (const CJamVector2& rhs) const;
	CJamVector2 operator += (const CJamVector2& rhs);

	CJamVector2 operator - (const CJamVector2& rhs) const;
	CJamVector2 operator -= (const CJamVector2& rhs);

	CJamVector2 operator * (const float f) const;
	CJamVector2 operator *= (const float f);
	CJamVector2 operator * (const CJamVector2& rhs) const;
	CJamVector2 operator *= (const CJamVector2& rhs);

	CJamVector2 operator / (const float f) const;
	CJamVector2 operator /= (const float f);
	CJamVector2 operator / (const CJamVector2& rhs) const;
	CJamVector2 operator /= (const CJamVector2& rhs);

	float RetLength() const;
	float RetLengthSquared() const;
	CJamVector2 Normalise();
	float Dot(const CJamVector2& rhs) const;
	void Rotate(float fAngle);

	float mfX;
	float mfY;

	static CJamVector2 ZeroVec;
	static CJamVector2 UnitX;
	static CJamVector2 UnitY;
};


#endif // __CJAMVECTOR2_H__
