#ifndef __IJAMBITMAPTEXT_H__
#define __IJAMBITMAPTEXT_H__


#include "CJamColour.h"
#include "CJamVector2.h"
#include "IJamRenderObject.h"
#include "JamEnums.h"


class IJamBitmapText : public IJamRenderObject
{
public:
	void SetPosition(const float fX, const float fY);
	void SetPosition(const CJamVector2& cPos);
	const CJamVector2& RetPosition() const;

	void SetScale(const float fX, const float fY);
	void SetScale(const CJamVector2& cScale);
	const CJamVector2& RetScale() const;

	void SetRotation(const float fRotation);
	float RetRotation() const;

	void SetColour(const CJamColourARGB& pcColour);
	const CJamColourARGB& RetColour() const;

	void SetFont(class IJamBitmapFont* pcFont);
	class IJamBitmapFont* RetFont() const;

	void SetText(const char* pszText);
	const char* RetText() const;

	void SetAnchor(const EJamAnchor eAnchor);
	EJamAnchor RetAnchor() const;


private:
	virtual class CJamRenderObject* RetObject();
	IJamBitmapText(class CJamBitmapText* pcJamBitmapText);
	~IJamBitmapText();
	class CJamBitmapText* mpcJamBitmapText;
	friend class CJamRenderManager;
};


#endif // __IJAMBITMAPTEXT_H__
