#ifndef __IJAMLINE_H__
#define __IJAMLINE_H__


#include "CJamColour.h"
#include "CJamVector2.h"
#include "IJamRenderObject.h"
#include "JamEnums.h"


class IJamLine : public IJamRenderObject
{
public:
	void SetPosition1(const float fX1, const float fY1);
	void SetPosition1(const CJamVector2& cPos1);
	void SetPosition2(const float fX2, const float fY2);
	void SetPosition2(const CJamVector2& cPos2);
	void SetPositions(const float fX1, const float fY1, const float fX2, const float fY2);
	void SetPositions(const CJamVector2& cPos1, const CJamVector2& cPos2);
	const CJamVector2& RetPosition1() const;
	const CJamVector2& RetPosition2() const;

	void SetWidth(const float fWidth);
	float RetWidth() const;

	void SetCapStyle(const EJamLineCapStyle eCapStyle);
	EJamLineCapStyle RetCapStyle() const;

	void SetColour(const CJamColourARGB& pcColour);
	const CJamColourARGB& RetColour() const;


private:
	virtual class CJamRenderObject* RetObject();
	IJamLine(class CJamLine* pcJamLine);
	~IJamLine();
	class CJamLine* mpcJamLine;
	friend class CJamRenderManager;
};


#endif // __IJAMLINE_H__
