#ifndef __IJAMSHAPE_H__
#define __IJAMSHAPE_H__


#include "CJamColour.h"
#include "CJamVector2.h"
#include "IJamRenderObject.h"
#include "JamEnums.h"


class IJamShape : public IJamRenderObject
{
public:
	void SetPosition(const float fX, const float fY);
	void SetPosition(const CJamVector2& cPos);
	const CJamVector2& RetPosition() const;

	void SetNumberOfSides(const int iNumSides);
	int RetNumberOfSides() const;

	void SetSize(const float fWidth, const float fHeight);
	void SetSize(const CJamVector2& cSize);
	const CJamVector2& RetSize() const;

	void SetRotation(const float fRotation);
	float RetRotation() const;

	void SetColour(const CJamColourARGB& pcColour);
	const CJamColourARGB& RetColour() const;


private:
	virtual class CJamRenderObject* RetObject();
	IJamShape(class CJamShape* pcJamShape);
	~IJamShape();
	class CJamShape* mpcJamShape;
	friend class CJamRenderManager;
};


#endif // __IJAMSHAPE_H__
