#ifndef __IJAMSPRITE_H__
#define __IJAMSPRITE_H__


#include "CJamColour.h"
#include "CJamVector2.h"
#include "IJamRenderObject.h"
#include "JamEnums.h"


class IJamSprite : public IJamRenderObject
{
public:
	void SetPosition(const float fX, const float fY);
	void SetPosition(const CJamVector2& cPos);
	const CJamVector2& RetPosition() const;

	void SetScale(const float fX, const float fY);
	void SetScale(const CJamVector2& cScale);
	const CJamVector2& RetScale() const;

	void SetRotation(const float fRotation);
	float RetRotation() const;

	void SetColour(const CJamColourARGB& pcColour);
	const CJamColourARGB& RetColour() const;

	void SetTexture(class IJamTexture* pcTexture, const int iFrame = 0);
	class IJamTexture* RetTexture() const;

	void SetAnchor(const EJamAnchor eAnchor);
	EJamAnchor RetAnchor() const;

	bool RetIsPointInside(const CJamVector2& cPoint, const bool bOnlyCheckVisible = true);


private:
	virtual class CJamRenderObject* RetObject();
	IJamSprite(class CJamSprite* pcJamSprite);
	~IJamSprite();
	class CJamSprite* mpcJamSprite;
	friend class CJamRenderManager;
};


#endif // __IJAMSPRITE_H__
