#ifndef __IJAMSYSTEMTEXT_H__
#define __IJAMSYSTEMTEXT_H__


#include "CJamColour.h"
#include "CJamVector2.h"
#include "IJamRenderObject.h"
#include "JamEnums.h"


class IJamSystemText : public IJamRenderObject
{
public:
	void SetPosition(const float fX, const float fY);
	void SetPosition(const CJamVector2& cPos);
	const CJamVector2& RetPosition() const;

	void SetColour(const CJamColourARGB& pcColour);
	const CJamColourARGB& RetColour() const;

	void SetFont(class IJamSystemFont* pcFont);
	class IJamSystemFont* RetFont() const;

	void SetText(const char* pszText);
	const char* RetText() const;

	void SetAnchor(const EJamAnchor eAnchor);
	EJamAnchor RetAnchor() const;


private:
	virtual class CJamRenderObject* RetObject();
	IJamSystemText(class CJamSystemText* pcJamSystemText);
	~IJamSystemText();
	class CJamSystemText* mpcJamSystemText;
	friend class CJamRenderManager;
};


#endif // __IJAMSYSTEMTEXT_H__
