#ifndef __GAME_H__
#define __GAME_H__


#include "Jam.h"


// Application settings
#define GAME_TITLE			"Up The Garden Path"
#define GAME_SCREEN_WIDTH	640
#define GAME_SCREEN_HEIGHT	640
#define GAME_MOUSE_MODE		EJMM_AbsoluteWithSystemCursor
#define GAME_FPS			50


// Game states
typedef enum
{
	EGS_FrontEnd,
	EGS_Game,
	Total_EGameState
}EGameState;

// Pointer to shared stuff
extern CJamSystem* Game_pcSystem;
extern IJamBitmapFont* Game_pcFont;
extern IJamTexture* Game_pcTextures;
extern int Game_iCurrentLevel;
extern int Game_iNumLevels;


extern bool Game_Initialise();
extern bool Game_Shutdown();
extern void Game_Update();
extern bool Game_RetWantsToExit();

extern void Game_SetNewState(const EGameState eGameState);


#endif // __GAME_H__
