#include "Game.h"
#include "Jam.h"


void JAM_Main()
{
	// Initalise the Jam system
	Game_pcSystem = new CJamSystem(GAME_TITLE, GAME_SCREEN_WIDTH, GAME_SCREEN_HEIGHT, GAME_MOUSE_MODE);

	// User initialisation function
	Game_Initialise();

	// Run the main loop until either the engine or the user code tells us that it wants to exit
	while(!Game_pcSystem->RetWantsToExit() && !Game_RetWantsToExit())
	{
		// Call the user update function at a fixed rate
		// Update is called multiple times per render if frames are getting dropped
		static float fTime = 0.0f;
		const float fFrameTime = 1.0f / GAME_FPS;
		fTime += Game_pcSystem->RetTimeDeltaSinceLastCall();
		while(fTime > fFrameTime)
		{
			// Call the user update function
			Game_Update();
			fTime -= fFrameTime;
		}

		// Render the frame
		Game_pcSystem->RenderFrame();
	};

	// Call any user shutdown code
	Game_Shutdown();

	// Shutdown the Jam system
	delete Game_pcSystem;
	Game_pcSystem = 0;
}

